Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 225753

Summary: Merge Review: findutils
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: Kevin Fenzi <kevin>
Status: CLOSED RAWHIDE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: mitr, redhat-bugzilla, vcrhonek
Target Milestone: ---Flags: kevin: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-01-07 16:27:11 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 426387    

Description Nobody's working on this, feel free to take it 2007-01-31 18:37:09 UTC
Fedora Merge Review: findutils

http://cvs.fedora.redhat.com/viewcvs/devel/findutils/
Initial Owner: mitr@redhat.com

Comment 1 Kevin Fenzi 2007-12-22 17:33:07 UTC
I'd be happy to review this. 
Look for a full review in a bit here. 


Comment 2 Kevin Fenzi 2007-12-22 18:03:12 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
See below - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
See below - License
See below - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
a0e31a0f18a49709bf5a449867c8049a  findutils-4.2.31.tar.gz
a0e31a0f18a49709bf5a449867c8049a  findutils-4.2.31.tar.gz.1
OK - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
See below - Package has correct buildroot
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
OK - Should have sane scriptlets.
OK - Should have dist tag
OK - Should package latest version
1 bug - check for outstanding bugs on package.

Issues:

1. Use either $RPM_BUILD_ROOT or %{buildroot}, not both.

2. Looking at the source, everything I see is GPLv2+.
I think the license should be GPLv2+ for the License tag.

3. Please use the correct buildroot.

Other than those minor issues, the spec is very clean...
great work.

If you would like I can attach a patch to fix the 3 minor issues above,
you could fix them, or if you prefer I could just fix them in
cvs.


Comment 3 Vitezslav Crhonek 2008-01-03 10:10:19 UTC
Hi,

thanks for your review. I fixed all issues in CVS.

Comment 4 Kevin Fenzi 2008-01-05 01:26:34 UTC
Sorry for the delay here. 
Everything looks good to me, this package is APPROVED. 

Feel free to close this RAWHIDE whenever.